Log in


Forgot your password?
prijatelji LUGoNSa
gnu.gif
linuxzasve.jpg
hulk.jpg
 
You are here: Home / Uputstva / Debian/Ubuntu / Code::Blocks i Eclipse na Ubuntu

Code::Blocks i Eclipse na Ubuntu

by Uglješa Erceg last modified Dec 24, 2008 04:48 PM
Kako instalirati razvojna okruženja za C++ i Javu - Code::Blocks i Eclipse na Ubuntu

Code::Blocks

- Ukoliko nemate instaliran curl, instalirajte ga:

$ sudo apt-get install curl

- Sledeći korak je da import-ujete ključ u vašu apt list of trusted keys kako biste izbegli upozorenja vezana za pakete i meta-podatke repozitorijuma koje ćemo dodati posle ovoga:

$ curl http://apt.wxwidgets.org/key.asc | sudo apt-key add -

* Kao output biste trebali da dobijete nešto ovako:

ugljesha@blackbox:~$ curl http://apt.wxwidgets.org/key.asc | sudo apt-key add - 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  1678  100  1678    0     0   4998      0 --:--:-- --:--:-- --:--:--     0
OK

- Dodajte zatim repozitorijume u /etc/apt/sources.list. Otvorite prvo pomenuti fajl:

$ sudo nano /etc/apt/sources.list

Na kraj dokumenta upišite sledeće linije:

# wxWidgets/wxPython repository at apt.wxwidgets.org
    deb http://apt.wxwidgets.org/ DIST-wx main
    deb-src http://apt.wxwidgets.org/ DIST-wx main

Umesto DIST upišite oznaku specifičnu za verziju Ubuntua koju koristite. Tabela sa podržanim distribucijama i arhitekturama:

 

Release

DIST name

Architectures

Python Versions

Ubuntu 6.06

dapper 1

i386, amd64

2.4

Ubuntu 6.10

edgy 2

i386, amd64

2.4, 2.5

Ubuntu 7.04

feisty

i386, amd64

2.4, 2.5

Ubuntu 7.10

gutsy

i386, amd64

2.4, 2.5

Ubuntu 8.04

hardy

i386, amd64

2.4, 2.5

Debian 4.0

etch

i386, amd64

 2.4

 

Dakle, ukoliko koristite Ubuntu 8.04, vaše linije u /etc/apt/sources.list treba da izgledaju ovako:

# wxWidgets/wxPython repository at apt.wxwidgets.org
    deb http://apt.wxwidgets.org/ hardy-wx main
    deb-src http://apt.wxwidgets.org/ hardy-wx main

* Napomena za korisnike Ubuntu 8.10: Kao što vidite, u ovom trenutku aktuelna verzija Ubuntua nije podržana. Ja sam stavio repozitorijume za Ubuntu 8.04 Hardy i radi bez problema.

- Posle ovoga svega uradite update:

$ sudo apt-get update

- Za kraj ovoga dela instalirajte (ili update-ujte ako već imate) wxWidgets i wxPython pakete:

$ sudo apt-get install python-wxgtk2.8 python-wxtools python-wxaddons wx2.8-i18n

- Sada možete bez problema instalirati razvojno okruženje Code::Blocks:

$ sudo apt-get install libcodeblocks0 codeblocks libwxsmithlib0 codeblocks-contrib

- Pošto je ovo završeno, Code::Blocks je uspešno instaliran. Možete ga pronaći u Applications/Programming/Code::Blocks IDE.


Eclipse


- Eclipse se za razliku od Code::Blocks instalira krajnje prosto, samo što vam je potrebno više strpljenja, jer su podaci koje sam ja povukao sa neta imali 270M. Jednostavno uradite:
$ sudo apt-get install eclipse
i uživajte u Java razvojnom okruženju.

 

 

 

 

Document Actions